@Echo off

REM XP keeps the file in Program Files, 7 keeps the file in Programdata

if exist c:\programdata\ (set OS=7) else (set OS=XP)
Echo You are running Windows %OS%.

REM Gets permission for the file exchange

Echo Would you like to transfer BridgeChecker settings to your computer? Y/N
set /p password=
if %password%==Y (goto Filecheck)
if %password%==y (goto Filecheck) else (echo Quitting...)
exit



:FileCheck

REM Makes sure file actually exists

if exist settings.mdb (goto OS) else (Echo Cannot find Settings.mdb! Would you like to specify a directory?)
set /p %password%=
if %password%==Y (goto FindFile)
if %password%==y (goto FindFile) else (echo Quitting...)
Pause
exit

:FindFile
echo Please specify the directory now:
set /p directory=
if exist %directory%\settings.mdb (goto Success) else (goto Fail)

:Success
echo Success! Copying now...
copy %directory%\settings.mdb settings.mdb
goto OS
exit

:Fail
Echo Sorry...It's still not there.  Try again?
set /p %password%=
if %password%==Y (goto FindFile)
if %password%==y (goto FindFile) else (echo can't find the file, quitting...)
Pause
exit

:OS

REM A quick OS check

if %os%==7 (goto overwritecheck7)
if %os%==XP (goto overwritecheckXP)


:overwritecheck7
if exist %systemdrive%\ProgramData\AccessAgility\BridgeChecker\settings.mdb (Echo Settings.mdb already exists, do you want to overwrite it?  Y/N) else (goto 7)
set /p password=
if %password%==Y (goto 7)
if %password%==y (goto 7) else (echo Quitting...)
pause
exit

:overwritecheckXP
if exist "%systemdrive%\Program Files\AccessAgility\BridgeChecker\settings.mdb" (Echo Settings.mdb already exists, do you want to overwrite it?  Y/N) else (goto XP)
set /p password=
if %password%==Y (goto XP)
if %password%==y (goto XP) else (echo Quitting...)
exit


:7
move /y settings.mdb %systemdrive%\ProgramData\AccessAgility\BridgeChecker\settings.mdb
if exist %systemdrive%\ProgramData\AccessAgility\BridgeChecker\settings.mdb (Echo Transfer successful!)
pause
exit


:XP
move /y settings.mdb "%systemdrive%\Program Files\AccessAgility\BridgeChecker\settings.mdb"
if exist "%systemdrive%\Program Files\AccessAgility\BridgeChecker\settings.mdb" (Echo Transfer successful!)
pause
exit